Perform a sync operation from a source environment to the current environment
POST
/api/v3/organizations/{organisation}/applications/{application}/environments/{environment}/sync/{type}
const url = 'https://dashboard.quantcdn.io/api/v3/organizations/test-org/applications/test-app/environments/test-env/sync/database';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"sourceEnvironment":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://dashboard.quantcdn.io/api/v3/organizations/test-org/applications/test-app/environments/test-env/sync/database \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "sourceEnvironment": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”organisation
required
string
The organisation ID
Example
test-orgapplication
required
string
The application ID
Example
test-appenvironment
required
string
The environment ID
Example
test-envtype
required
string
The sync type
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
sourceEnvironment
string
Examplegenerated
{ "sourceEnvironment": "example"}Responses
Section titled “Responses”The sync operation details
Media typeapplication/json
object
syncId
string
syncType
string
sourceEnvironment
string
targetEnvironment
string
status
string
createdAt
string
completedAt
string
Examplegenerated
{ "syncId": "example", "syncType": "example", "sourceEnvironment": "example", "targetEnvironment": "example", "status": "example", "createdAt": "example", "completedAt": "example"}